/*******************************************************************************
 *
 *		Azoteq IQS263_Example_Code
 *
 *              main.c - The main function initialises the PIC and reads
 *                       all the events.
 *
*******************************************************************************/

#ifndef IQS263_C
#define IQS263_C

#include "Includes.h"


// Ensure we have the correct target PIC device family
#if !defined(__18F4550)
	#error "This firmware only supports the PIC18F4550 microcontroller."
#endif
/*******************************************************************************
*PRAGMA SECTION
* Configuration for PIC18f4550
*******************************************************************************/
#pragma config PLLDIV   = 2             // 8MHz external oscillator
#pragma config CPUDIV   = OSC1_PLL2     //OSC4_PLL6 // 16MHz clock cycle --- 4 cycles per instruction --- 4 mips **//OSC1_PLL2 // 48MHz clock cycle --- 4 cycles per instruction --> 12 mips
#pragma config USBDIV   = 2             // Clock source from 96MHz PLL/2
#pragma config FOSC     = HSPLL_HS
#pragma config FCMEN    = OFF
#pragma config IESO     = OFF
#pragma config PWRT     = OFF		// PowerUp timer OFF
#pragma config BOR      = ON		// brown out detect ON
#pragma config BORV     = 3
#pragma config WDT      = OFF		// watchdog timer off
#pragma config WDTPS    = 32768
#pragma config MCLRE    = ON
#pragma config LPT1OSC  = OFF
#pragma config PBADEN   = OFF		// PORTB<4:0> as digital IO on reset
#pragma config STVREN   = ON
#pragma config LVP      = OFF		// low level voltage OFF
#pragma config XINST    = OFF
#pragma config CP0      = OFF
#pragma config CP1      = OFF
#pragma config CPB      = OFF
#pragma config WRT0     = OFF
#pragma config WRT1     = OFF
#pragma config WRTB     = OFF
#pragma config WRTC     = OFF
#pragma config EBTR0    = OFF
#pragma config EBTR1    = OFF
#pragma config EBTRB    = OFF
//#pragma config IDLE    = 1

/*******************************************************************************
				MAIN
*******************************************************************************/

void main(void)
{
    // initialise the hardware setup of the pic
    initialisePic();

    while(1)
    {
        // read events
        handleEvents();
    }
}

#endif


