/*******************************************************************************
 *
 *		Azoteq IQS263_Example_Code
 *
 *              HW.c - Initial setup of MCU - PIC18F4550
 *
*******************************************************************************/

#include "Includes.h"

void initialisePic(void)
{
    ADCON1 = 0x0F;				//PORTA all digital operation
    LATA = 0x02;
    TRISA = 0x02;				//RA all output, except RA1 (RDY) input.

    LATB = 0xF7;                                //Clear All pins in port B
    TRISB = 0x87;				//RB2 (RDY), RB0, RB1 and RB7 as inputs - the rest as output

    TRISD = 0x00; 				//configure PORTD for output
    LATD = 0xFF;				//LEDS off

    INTCON2bits.RBPU = 0;			//For PIC18LF4550-Eval-Rev4A hardware with 74HC573 latch
    TRISCbits.TRISC0 = 0;
    LATCbits.LATC0  = 1;			//un-latch 74HC573 to make OUTD follows LATD
    TRISCbits.TRISC1 = 0;			//enable the latch
    LATCbits.LATC1 = 0;

    TRISE = 0x00;                               //Make RE outputs
    LATE = 0xFF;                                //Clear Pins

    LATD = 0xFF;				// LEDS off

    LATDbits.LATD0 = 1;
    LATDbits.LATD1 = 1;
    LATDbits.LATD2 = 1;
    LATDbits.LATD3 = 1;

    // configure light latch
    TRISCbits.TRISC0 = 0;
    TRISCbits.TRISC1 = 0;
    TRISCbits.TRISC2 = 0;
    TRISCbits.TRISC6 = 0;

    //switch off mode lights
    LATCbits.LATC0 = 1;
    LATCbits.LATC1 = 1;
    LATCbits.LATC2 = 1;
    LATCbits.LATC6 = 1;

    // initialise I2c
    Comms_init();

    IQS263DeviceSettings();
}


